#include "stm32f10x.h"
#include "MyTimer.h"
#include "Nucleo.h"
#include "Timer.h"
#include "DriverGPIO.h"
#include "Gironde.h"

void configEncoder(TIM_TypeDef * Timer){
	Timer -> CCMR1 |= TIM_CCMR1_CC1S;
	Timer -> CCMR2 |= TIM_CCMR1_CC2S;
	Timer -> CCER &= ~(TIM_CCER_CC1P | TIM_CCER_CC1NP);
	Timer -> CCMR1 &= ~(TIM_CCMR1_IC1F);
	Timer -> CCER &= ~(TIM_CCER_CC2P | TIM_CCER_CC2NP);
	Timer -> CCMR2 &= ~(TIM_CCMR1_IC2F);	
	Timer -> SMCR &= ~TIM_SMCR_SMS;
	Timer -> SMCR |= TIM_SMCR_SMS_0 | TIM_SMCR_SMS_1;
	Timer -> CR1 |= TIM_CR1_CEN;
	Timer -> ARR = 0xFFFF;
}
void configChannel(){
	MyGPIO_Init(GPIOA,7,In_Floating );
	MyGPIO_Init(GPIOA,8,In_Floating );

}